NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.AeroFlangeBuilder Class Reference

Represents a NXOpen.Features.AeroFlange builder More...

Inheritance diagram for NXOpen.Features.AeroFlangeBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  AlignReferenceType { None, LengthFace, Skin, GuideFace }
 This attribute represents align end type More...
 
enum  GuideObjectTypes { Face, DatumPlane, Curve }
 This attribute represents the Guide Object types More...
 
enum  LimitObjectTypes { FromGuideCurve, FromSelected }
 This attribute represents the limit object types More...
 
enum  PointOption { ArcLength, PercentArcLength, ParameterArcLength, ThroughPoint }
 This attribute represents the options for on path dimension More...
 
enum  ThicknessDimensionOptions { Simple, Symmetric }
 This attribute represents the options for thickness dimension More...
 
enum  WidthDimensionOptions { Simple, Symmetric, Asymmetric }
 This attribute represents the options for width dimension More...
 
enum  WidthMethods { OffsetGuideFace, OffsetGuideCurveAlongSkin }
 This attribute represents the width method More...
 

Public Member Functions

unsafe void ConstructGuidecurves (bool deleteGuideCurves, bool showGuideCurves)
 Construct guide curves More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Features.AeroFlangeBuilder.AlignReferenceType 
AlignRefType0 [get, set]
 Returns or sets the align ref type0 More...
 
unsafe
NXOpen.Features.AeroFlangeBuilder.AlignReferenceType 
AlignRefType1 [get, set]
 Returns or sets the align ref type1 More...
 
unsafe
NXOpen.GeometricUtilities.BooleanOperation 
BooleanOperation [get]
 Returns the boolean operation More...
 
unsafe
NXOpen.GeometricUtilities.CurveLengthBuilder 
CurveLength [get]
 Returns the curve length builder More...
 
unsafe NXOpen.ScCollector GuideFaces [get]
 Returns the guide faces More...
 
unsafe
NXOpen.Features.AeroFlangeBuilder.GuideObjectTypes 
GuideObjectType [get, set]
 Returns or sets the guide object type More...
 
unsafe bool IsLimit1MeasureExpressionUsed [get, set]
 Returns or sets the flag of whether limit1 measure expression used More...
 
unsafe bool IsLimit2MeasureExpressionUsed [get, set]
 Returns or sets the flag of whether limit2 measure expression used More...
 
unsafe NXOpen.Expression Limit1Offset [get]
 Returns the limit1 offset More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
Limit1Point [get]
 Returns the limit1 point More...
 
unsafe NXOpen.ScCollector Limit1Selection [get]
 Returns the limit1 selection More...
 
unsafe
NXOpen.Features.AeroFlangeBuilder.LimitObjectTypes 
Limit1Type [get, set]
 Returns or sets the limit1 type More...
 
unsafe NXOpen.Expression Limit2Offset [get]
 Returns the limit2 offset More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
Limit2Point [get]
 Returns the limit2 point More...
 
unsafe NXOpen.ScCollector Limit2Selection [get]
 Returns the limit2 selection More...
 
unsafe
NXOpen.Features.AeroFlangeBuilder.LimitObjectTypes 
Limit2Type [get, set]
 Returns or sets the limit2 type More...
 
unsafe NXOpen.Plane Plane [get, set]
 Returns or sets the plane More...
 
unsafe
NXOpen.GeometricUtilities.ProjectionOptions 
ProjectDirection [get]
 Returns the project direction More...
 
unsafe bool ReverseLimit1OffsetDirection [get, set]
 Returns or sets the reverse limit1 offset direction flag. More...
 
unsafe bool ReverseLimit2OffsetDirection [get, set]
 Returns or sets the reverse limit2 offset direction flag. More...
 
unsafe bool ReverseThicknessDirection [get, set]
 Returns or sets the reverse thickness direction flag. More...
 
unsafe bool ReverseThicknessOffsetDirection [get, set]
 Returns or sets the reverse thickness offset direction flag. More...
 
unsafe bool ReverseWidth1Direction [get, set]
 Returns or sets the reverse width1 direction flag. More...
 
unsafe bool ReverseWidth2Direction [get, set]
 Returns or sets the reverse width2 direction flag. More...
 
unsafe bool ReverseWidthOffsetDirection [get, set]
 Returns or sets the reverse width offset direction flag. More...
 
unsafe NXOpen.Section Section [get]
 Returns the section More...
 
unsafe NXOpen.ScCollector SkinFaceCollector [get]
 Returns the skin face collector More...
 
unsafe NXOpen.Expression Thickness [get]
 Returns the thickness More...
 
unsafe
NXOpen.Features.AeroFlangeBuilder.ThicknessDimensionOptions 
ThicknessDimensionType [get, set]
 Returns or sets the thickness dimension type More...
 
unsafe NXOpen.Expression ThicknessOffset [get]
 Returns the thickness offset More...
 
unsafe NXOpen.Expression Width1 [get]
 Returns the width1 More...
 
unsafe NXOpen.Expression Width2 [get]
 Returns the width2 More...
 
unsafe
NXOpen.Features.AeroFlangeBuilder.WidthDimensionOptions 
WidthDimensionType [get, set]
 Returns or sets the width dimension type More...
 
unsafe
NXOpen.Features.AeroFlangeBuilder.WidthMethods 
WidthMethod [get, set]
 Returns or sets the width method More...
 
unsafe NXOpen.Expression WidthOffset [get]
 Returns the width offset More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.AeroFlange builder

To create a new instance of this class, use NXOpen.Features.AeroCollection.CreateAeroFlangeBuilder

Default values.

Property Value

AlignRefType0

None

AlignRefType1

None

BooleanOperation.Type

Create

CurveLength.EndOffset0.Value

0 (millimeters part), 0 (inches part)

CurveLength.EndOffset1.Value

0 (millimeters part), 0 (inches part)

CurveLength.EndType0

Value

CurveLength.EndType1

Value

GuideObjectType

Face

Limit1Offset.Value

0 (millimeters part), 0 (inches part)

Limit1Type

FromGuideCurve

Limit2Offset.Value

0 (millimeters part), 0 (inches part)

Limit2Type

FromGuideCurve

ReverseThicknessDirection

True

ReverseThicknessOffsetDirection

True

ReverseWidthOffsetDirection

True

Thickness.Value

2 (millimeters part), 0.1 (inches part)

ThicknessDimensionType

Simple

ThicknessOffset.Value

0 (millimeters part), 0 (inches part)

Width1.Value

25 (millimeters part), 1 (inches part)

Width2.Value

25 (millimeters part), 1 (inches part)

WidthDimensionType

Simple

WidthMethod

OffsetGuideCurveAlongSkin

WidthOffset.Value

0 (millimeters part), 0 (inches part)

Created in NX10.0.0

Member Enumeration Documentation

This attribute represents align end type

Enumerator
None 
LengthFace 
Skin 
GuideFace 

This attribute represents the Guide Object types

Enumerator
Face 

Guide object is face

DatumPlane 

Guide object is datum plane

Curve 

Guide object is curve

This attribute represents the limit object types

Enumerator
FromGuideCurve 
FromSelected 

This attribute represents the options for on path dimension

Enumerator
ArcLength 
PercentArcLength 
ParameterArcLength 
ThroughPoint 

This attribute represents the options for thickness dimension

Enumerator
Simple 
Symmetric 

This attribute represents the options for width dimension

Enumerator
Simple 
Symmetric 
Asymmetric 

This attribute represents the width method

Enumerator
OffsetGuideFace 
OffsetGuideCurveAlongSkin 

Member Function Documentation

unsafe void NXOpen.Features.AeroFlangeBuilder.ConstructGuidecurves ( bool  deleteGuideCurves,
bool  showGuideCurves 
)
inline

Construct guide curves

Created in NX12.0.0

License requirements: None.

Parameters
deleteGuideCurves
showGuideCurves

Property Documentation

unsafe NXOpen.Features.AeroFlangeBuilder.AlignReferenceType NXOpen.Features.AeroFlangeBuilder.AlignRefType0
getset

Returns or sets the align ref type0

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Features.AeroFlangeBuilder.AlignReferenceType NXOpen.Features.AeroFlangeBuilder.AlignRefType1
getset

Returns or sets the align ref type1

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.GeometricUtilities.BooleanOperation NXOpen.Features.AeroFlangeBuilder.BooleanOperation
get

Returns the boolean operation

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.CurveLengthBuilder NXOpen.Features.AeroFlangeBuilder.CurveLength
get

Returns the curve length builder

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.AeroFlangeBuilder.GuideFaces
get

Returns the guide faces

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Features.AeroFlangeBuilder.GuideObjectTypes NXOpen.Features.AeroFlangeBuilder.GuideObjectType
getset

Returns or sets the guide object type

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe bool NXOpen.Features.AeroFlangeBuilder.IsLimit1MeasureExpressionUsed
getset

Returns or sets the flag of whether limit1 measure expression used

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Features.AeroFlangeBuilder.IsLimit2MeasureExpressionUsed
getset

Returns or sets the flag of whether limit2 measure expression used

Created in NX11.0.0

License requirements to get this property: nx_aero_design (" NX Aero Design")

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Expression NXOpen.Features.AeroFlangeBuilder.Limit1Offset
get

Returns the limit1 offset

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Features.AeroFlangeBuilder.Limit1Point
get

Returns the limit1 point

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.AeroFlangeBuilder.Limit1Selection
get

Returns the limit1 selection

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Features.AeroFlangeBuilder.LimitObjectTypes NXOpen.Features.AeroFlangeBuilder.Limit1Type
getset

Returns or sets the limit1 type

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Expression NXOpen.Features.AeroFlangeBuilder.Limit2Offset
get

Returns the limit2 offset

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Features.AeroFlangeBuilder.Limit2Point
get

Returns the limit2 point

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.AeroFlangeBuilder.Limit2Selection
get

Returns the limit2 selection

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Features.AeroFlangeBuilder.LimitObjectTypes NXOpen.Features.AeroFlangeBuilder.Limit2Type
getset

Returns or sets the limit2 type

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Plane NXOpen.Features.AeroFlangeBuilder.Plane
getset

Returns or sets the plane

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.GeometricUtilities.ProjectionOptions NXOpen.Features.AeroFlangeBuilder.ProjectDirection
get

Returns the project direction

Created in NX11.0.0

License requirements: None.

unsafe bool NXOpen.Features.AeroFlangeBuilder.ReverseLimit1OffsetDirection
getset

Returns or sets the reverse limit1 offset direction flag.

Indicates whether the limit1 offset direction has been flipped from its initial inferred direction

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe bool NXOpen.Features.AeroFlangeBuilder.ReverseLimit2OffsetDirection
getset

Returns or sets the reverse limit2 offset direction flag.

Indicates whether the limit2 offset direction has been flipped from its initial inferred direction

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe bool NXOpen.Features.AeroFlangeBuilder.ReverseThicknessDirection
getset

Returns or sets the reverse thickness direction flag.

Indicates whether the thickness direction has been flipped from its initial inferred direction

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe bool NXOpen.Features.AeroFlangeBuilder.ReverseThicknessOffsetDirection
getset

Returns or sets the reverse thickness offset direction flag.

Indicates whether the thickness offset direction has been flipped from its initial inferred direction

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe bool NXOpen.Features.AeroFlangeBuilder.ReverseWidth1Direction
getset

Returns or sets the reverse width1 direction flag.

Indicates whether the width1 direction has been flipped from its initial inferred direction

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe bool NXOpen.Features.AeroFlangeBuilder.ReverseWidth2Direction
getset

Returns or sets the reverse width2 direction flag.

Indicates whether the width2 direction has been flipped from its initial inferred direction

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe bool NXOpen.Features.AeroFlangeBuilder.ReverseWidthOffsetDirection
getset

Returns or sets the reverse width offset direction flag.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Section NXOpen.Features.AeroFlangeBuilder.Section
get

Returns the section

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.AeroFlangeBuilder.SkinFaceCollector
get

Returns the skin face collector

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.AeroFlangeBuilder.Thickness
get

Returns the thickness

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Features.AeroFlangeBuilder.ThicknessDimensionOptions NXOpen.Features.AeroFlangeBuilder.ThicknessDimensionType
getset

Returns or sets the thickness dimension type

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Expression NXOpen.Features.AeroFlangeBuilder.ThicknessOffset
get

Returns the thickness offset

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.AeroFlangeBuilder.Width1
get

Returns the width1

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.AeroFlangeBuilder.Width2
get

Returns the width2

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Features.AeroFlangeBuilder.WidthDimensionOptions NXOpen.Features.AeroFlangeBuilder.WidthDimensionType
getset

Returns or sets the width dimension type

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Features.AeroFlangeBuilder.WidthMethods NXOpen.Features.AeroFlangeBuilder.WidthMethod
getset

Returns or sets the width method

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Expression NXOpen.Features.AeroFlangeBuilder.WidthOffset
get

Returns the width offset

Created in NX12.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.